Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::MutableIterator Class Reference

`#include <mutableiterator.h>`

Inheritance diagram for tesseract::MutableIterator:

List of all members.

## Public Member Functions

| MutableIterator (PAGE_RES *page_res, Tesseract *tesseract, int scale, int scaled_yres, int rect_left, int rect_top, int rect_width, int rect_height)
virtual | ~MutableIterator ()
const PAGE_RES_IT * | PageResIt () const
Public Member Functions inherited from tesseract::ResultIterator
virtual | ~ResultIterator ()
virtual void | Begin ()
virtual bool | Next (PageIteratorLevel level)
virtual bool | IsAtBeginningOf (PageIteratorLevel level) const
virtual bool | IsAtFinalElement (PageIteratorLevel level, PageIteratorLevel element) const
virtual char * | GetUTF8Text (PageIteratorLevel level) const
bool | ParagraphIsLtr () const
Public Member Functions inherited from tesseract::LTRResultIterator
| LTRResultIterator (PAGE_RES *page_res, Tesseract *tesseract, int scale, int scaled_yres, int rect_left, int rect_top, int rect_width, int rect_height)
virtual | ~LTRResultIterator ()
void | SetLineSeparator (const char *new_line)
void | SetParagraphSeparator (const char *new_para)
float | Confidence (PageIteratorLevel level) const
const char * | WordFontAttributes (bool *is_bold, bool *is_italic, bool *is_underlined, bool *is_monospace, bool *is_serif, bool *is_smallcaps, int *pointsize, int *font_id) const
const char * | WordRecognitionLanguage () const
StrongScriptDirection | WordDirection () const
bool | WordIsFromDictionary () const
bool | WordIsNumeric () const
bool | HasBlamerInfo () const
void * | GetParamsTrainingBundle () const
const char * | GetBlamerDebug () const
const char * | GetBlamerMisadaptionDebug () const
char * | WordTruthUTF8Text () const
const char * | WordLattice (int *lattice_size) const
bool | SymbolIsSuperscript () const
bool | SymbolIsSubscript () const
bool | SymbolIsDropcap () const
Public Member Functions inherited from tesseract::PageIterator
| PageIterator (PAGE_RES *page_res, Tesseract *tesseract, int scale, int scaled_yres, int rect_left, int rect_top, int rect_width, int rect_height)
virtual | ~PageIterator ()
| PageIterator (const PageIterator &src)
const PageIterator & | operator= (const PageIterator &src)
bool | PositionedAtSameWord (const PAGE_RES_IT *other) const
virtual void | RestartParagraph ()
bool | IsWithinFirstTextlineOfParagraph () const
virtual void | RestartRow ()
int | Cmp (const PageIterator &other) const
bool | BoundingBox (PageIteratorLevel level, int *left, int *top, int *right, int *bottom) const
bool | BoundingBoxInternal (PageIteratorLevel level, int *left, int *top, int *right, int *bottom) const
bool | Empty (PageIteratorLevel level) const
PolyBlockType | BlockType () const
Pix * | GetBinaryImage (PageIteratorLevel level) const
Pix * | GetImage (PageIteratorLevel level, int padding, int *left, int *top) const
bool | Baseline (PageIteratorLevel level, int *x1, int *y1, int *x2, int *y2) const
void | Orientation (tesseract::Orientation *orientation, tesseract::WritingDirection *writing_direction, tesseract::TextlineOrder *textline_order, float *deskew_angle) const
void | ParagraphInfo (tesseract::ParagraphJustification *justification, bool *is_list_item, bool *is_crown, int *first_line_indent) const

## Additional Inherited Members

Static Public Member Functions inherited from tesseract::ResultIterator
static ResultIterator * | StartOfParagraph (const LTRResultIterator &resit)
static void | CalculateTextlineOrder (bool paragraph_is_ltr, const GenericVector< StrongScriptDirection > &word_dirs, GenericVectorEqEq< int > *reading_order)
Static Public Attributes inherited from tesseract::ResultIterator
static const int | kMinorRunStart = -1
static const int | kMinorRunEnd = -2
static const int | kComplexWord = -3
Protected Member Functions inherited from tesseract::ResultIterator
TESS_LOCAL | ResultIterator (const LTRResultIterator &resit)

## Detailed Description

Definition at line 44 of file mutableiterator.h.

## Constructor & Destructor Documentation

tesseract::MutableIterator::MutableIterator | ( | PAGE_RES * | page_res,
|  | Tesseract * | tesseract,
|  | int | scale,
|  | int | scaled_yres,
|  | int | rect_left,
|  | int | rect_top,
|  | int | rect_width,
|  | int | rect_height
| ) |  |

inline

Definition at line 47 of file mutableiterator.h.

: ResultIterator(
LTRResultIterator(page_res, tesseract, scale, scaled_yres, rect_left,
rect_top, rect_width, rect_height)) {}

virtual tesseract::MutableIterator::~MutableIterator | ( |  | ) |

inlinevirtual

Definition at line 54 of file mutableiterator.h.

{}

## Member Function Documentation

const PAGE_RES_IT* tesseract::MutableIterator::PageResIt | ( |  | ) | const

inline

Definition at line 59 of file mutableiterator.h.

{ return it_; }

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccmain/mutableiterator.h